import { observable } from "mobx";
import * as moment from "moment";
import { Base, Course, CourseClass, User } from "./internal";

export class CourseClassList extends Base {
	@observable public id: number;
	@observable public name: string | undefined;
	@observable public classes: CourseClass[] | undefined;
	@observable public course: Course | undefined;

	@observable public createdAt: moment.Moment | undefined;
	@observable public createdBy: User | undefined;
	@observable public updatedAt: moment.Moment | undefined;
	@observable public updatedBy: User | undefined;
	@observable public deletedAt: moment.Moment | undefined;
	@observable public deletedBy: User | undefined;
}
