import { observable } from "mobx";
import * as moment from "moment";
import { Base, User } from "./internal";

export class FAQ extends Base {
	@observable public id: number;
	@observable public title: string | undefined;
	@observable public content: string | undefined;
	@observable public isHTML: boolean | undefined;

	@observable public createdAt: moment.Moment | undefined;
	@observable public createdBy: User | undefined;
	@observable public updatedAt: moment.Moment | undefined;
	@observable public updatedBy: User | undefined;
	@observable public deletedAt: moment.Moment | undefined;
	@observable public deletedBy: User | undefined;
}
