import { observable } from "mobx";
import * as moment from "moment";
import { Base } from "./internal";

export class UserRole extends Base {
	@observable public id: number;
	@observable public name: string | undefined;

	@observable public createdAt: moment.Moment | undefined;
	@observable public updatedAt: moment.Moment | undefined;
	@observable public deletedAt: moment.Moment | undefined;
}
