import { CourseClassListStore } from "./CourseClassListStore";
import { CourseClassStore } from "./CourseClassStore";
import { CourseStore } from "./CourseStore";
import { FAQStore } from "./FAQStore";
import { UserStore } from "./UserStore";

export class RootStore {
	courseClassListStore = new CourseClassListStore(this);
	courseClassStore = new CourseClassStore(this);
	courseStore = new CourseStore(this);
	faqStore = new FAQStore(this);
	userStore = new UserStore(this);
}
